Bug 1227450 - Add plotnetcfg package to the list of default components installed on a node
Summary: Add plotnetcfg package to the list of default components installed on a node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: Director
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: Director
Assignee: James Slagle
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-02 16:53 UTC by Ihar Hrachyshka
Modified: 2015-08-05 13:52 UTC (History)
7 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-16.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:52:30 UTC
Target Upstream Version:
yeylon: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 238121 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Ihar Hrachyshka 2015-06-02 16:53:18 UTC
neutron team would like to collect some more data about network setup
for nodes into sos-report. Particularly, we would like to get a
snapshot of all bridges and other devices set on a node, using
plotnetcfg [1]. The tool produces a dot file [2] that allows to get a
graphical represantation of network devices on a system, that can then
be used to determine whether it's sane.

We already have a sos-report patch [3] in review that is scheduled for
OSP7 (thanks Lee!). We've also imported the plotnetcfg package into OSP7.

I think the best way to make sure the package is installed on all nodes without adding a hard dependency for neutron (which is technically wrong) is to add the package to the list of those installed by default by Director.

Comment 3 James Slagle 2015-07-01 14:22:12 UTC
merged https://code.engineering.redhat.com/gerrit/52019

Comment 5 Leonid Natapov 2015-07-12 09:59:30 UTC
[root@overcloud-controller-0 ~]# rpm -qa | grep plot
plotnetcfg-0.3-1.el7ost.x86_64

Comment 7 errata-xmlrpc 2015-08-05 13:52:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.